Summary:	Permit to easily upload photos to your Flickr.com account
Name:		kflickr
Version:	20100817
Release:	%mkrel 5
Group:		Graphics/Utilities
License:	GPLv2+
URL:		http://kflickr.sourceforge.net/
Source0:        http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Patch0:		kflickr-20100817-drop-invalid-de.patch
BuildRequires:  kdelibs4-devel
Requires:	qt4-database-plugin-sqlite

%description
KFlickr is a standalone KDE application that allows 
for easy upload of your favourite photos to your Flickr.com account

%files -f %name.lang
%_kde_bindir/*
%_kde_applicationsdir/*.desktop
%_kde_appsdir/%name
%_kde_iconsdir/hicolor/*/apps/*

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build
%cmake_kde4
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std -C build

%find_lang %name

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 20100817-5.mga4
+ Revision: 506616
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 20100817-4.mga3
+ Revision: 356148
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Sat Oct 20 2012 malo <malo> 20100817-3.mga3
+ Revision: 308461
- update RPM group

* Wed Jul 13 2011 dams <dams> 20100817-2.mga2
+ Revision: 123792
- rename pathc

* Wed Jul 13 2011 dams <dams> 20100817-1.mga2
+ Revision: 123786
- Update to 20100817

* Sun May 08 2011 dmorgan <dmorgan> 20081222-4.mga1
+ Revision: 96071
- imported package kflickr


* Fri Sep 11 2009 Thierry Vignaud <tvignaud@mandriva.com> 20081222-4mdv2010.0
+ Revision: 438098
- rebuild

  + Sergio Rafael Lemke <sergio@mandriva.com>
    - added missing requires qt4-database-plugin-sqlite

* Thu Jan 29 2009 Funda Wang <fundawang@mandriva.org> 20081222-2mdv2009.1
+ Revision: 335306
- drop invalid de name

* Tue Dec 23 2008 Funda Wang <fundawang@mandriva.org> 20081222-1mdv2009.1
+ Revision: 317753
- add translation files
- new version 20081222

* Thu Dec 04 2008 Funda Wang <fundawang@mandriva.org> 20081202-1mdv2009.1
+ Revision: 309963
- New version 20081202 (kde4 version)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Dec 31 2007 Funda Wang <fundawang@mandriva.org> 0.9.1-2mdv2008.1
+ Revision: 139857
- add back patch0 as it still generates invalid UTF-8 file

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.1-1mdv2008.1
+ Revision: 139660
- new version
- drop patch 0
- fix file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 0.9-2mdv2008.0
+ Revision: 77192
- fix invalid de comment of xdg menu entry

* Fri Jul 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9-1mdv2008.0
+ Revision: 56316
- new version
- drop patch 0

* Mon Apr 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8-1mdv2008.0
+ Revision: 19544
- new version


* Fri Feb 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7-2mdv2007.0
+ Revision: 118322
- export QTDIR and QTLIB
- new version
- fix menu entry
- fix build
- spec file clean

* Wed Jul 12 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.5-4mdv2007.0
+ Revision: 38724
- Increase release
- Use macro for icons
- XDG
- import kflickr-0.5-3mdk

* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5-3mdk
- Rebuild to generate categories

* Wed Dec 28 2005 Anssi Hannula <anssi@mandriva.org> 0.5-2mdk
- fix build on x86_64

* Fri Nov 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5-1mdk
- 0.5

* Mon Oct 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-2mdk
- Fix Build for amd64

* Thu Oct 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-1mdk
- New release 0.3

* Fri Sep 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-2mdk
- Forgot Requires/BuildRequires

* Fri Sep 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-1mdk
- Initial Mandriva package

